Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class SyncStateServer

    java.lang.Object
      ix.ip2.SyncState
          ix.ip2.SyncStateServer

All Implemented Interfaces:
  IXAgentExtension

    public class SyncStateServer

extends SyncState
implements IXAgentExtension

Nested Class Summary
`protected class` | `SyncStateServer.ProcessListener`
`protected class` | `SyncStateServer.ResetHook`
`protected class` | `SyncStateServer.StartupHook`
`class` | `SyncStateServer.SyncStateServerHandler`

Nested classes/interfaces inherited from class ix.ip2.SyncState
`SyncState.AbstractClientOperation, SyncState.AbstractServerOperation, SyncState.ClientOperation, SyncState.ClientStateChange, SyncState.ClientStateDeletion, SyncState.ClientStateDelta, SyncState.Operation, SyncState.RegisterClient, SyncState.ServerFullState, SyncState.ServerOperation, SyncState.ServerStateChange, SyncState.ServerStateDeletion, SyncState.ServerStateDelta, SyncState.SyncStateHandler`

Field Summary
`protected java.util.Set` | `clients`

Fields inherited from class ix.ip2.SyncState
`ip2, mm, optMan, SYNCHRONIZE_STATE`

Constructor Summary
`SyncStateServer(Ip2 ip2)`

Method Summary
`void` | `handle(SyncState.ClientStateChange change)`
`void` | `handle(SyncState.ClientStateDeletion deletion)`
`protected void` | `handle(SyncState.RegisterClient reg)`
`protected void` | `handleOperation(SyncState.ServerOperation op)`
`void` | `installExtension()`
`protected void` | `registerClient(java.lang.String clientName)`
`protected void` | `registerIfNew(java.lang.String clientName)`
`protected void` | `sendToClients(SyncState.ClientOperation op)`

Methods inherited from class ix.ip2.SyncState
`deletionUtility, makeSyncStateActivity, send`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clients

    protected java.util.Set clients

Constructor Detail

### SyncStateServer

    public SyncStateServer(Ip2 ip2)

Method Detail

### installExtension

    public void installExtension()

  Specified by:
    `installExtension` in interface `IXAgentExtension`

### sendToClients

    protected void sendToClients(SyncState.ClientOperation op)

### handleOperation

    protected void handleOperation(SyncState.ServerOperation op)

### handle

    protected void handle(SyncState.RegisterClient reg)

### registerClient

    protected void registerClient(java.lang.String clientName)

### registerIfNew

    protected void registerIfNew(java.lang.String clientName)

### handle

    public void handle(SyncState.ClientStateChange change)

### handle

    public void handle(SyncState.ClientStateDeletion deletion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD